/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sem.model;

import java.io.PrintWriter;

/**
 *
 * @author Radka
 */
public abstract class AbstractTag {

    static final String sp = "                                         ";
    static final int ODSAZENI = 3;

    public abstract void printElement(PrintWriter writer, int odsazeni);

    protected PobytyElement classTag() {
        return PobytyElement.valueOf(getClass().getSimpleName().toLowerCase());
    }

    String startTag() {
        return "<" + classTag() + ">";
    }

    String endTag() {
        return "</" + classTag() + ">";
    }

    void tiskniOdsazeni(PrintWriter writer, int odsazeni, Object o) {
        writer.print(sp.substring(0, odsazeni) + o);
    }

    void tiskniOdsazeniLn(PrintWriter writer, int odsazeni, Object o) {
        tiskniOdsazeni(writer, odsazeni, o);
        writer.println();
    }
}
