/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sem.model;

import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Collection;

/**
 *
 * @author Radka
 */
public class Skupina extends AbstractTag {

    CisloSkupiny cisloSkupiny;
    Vedouci vedouci;
    Collection<Dite> deti;

    public Skupina(CisloSkupiny cisloSkupiny, Vedouci vedouci, Collection<Dite> deti) {
        this.cisloSkupiny = cisloSkupiny;
        this.vedouci = vedouci;
        this.deti = deti;
    }

    public Skupina(CisloSkupiny cisloSkupiny, Vedouci vedouci, Dite... deti) {
        this(cisloSkupiny, vedouci, Arrays.asList(deti));
    }

    @Override
    public void printElement(PrintWriter writer, int odsazeni) {
        tiskniOdsazeniLn(writer, odsazeni, startTag());
        cisloSkupiny.printElement(writer, odsazeni + ODSAZENI);
        vedouci.printElement(writer, odsazeni + ODSAZENI);
        for (Dite dite : deti) {
            dite.printElement(writer, odsazeni + ODSAZENI);
        }
        tiskniOdsazeniLn(writer, odsazeni, endTag());
    }
}
