/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sem.model;

import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Collection;

/**
 *
 * @author Radka
 */
public class Pobyty extends AbstractTag {

    private Collection<Turnus> turnusy;

    public Pobyty(Turnus... turnusy) {          //Turnus... = pole turnusu
        this(Arrays.asList(turnusy));
    }

    public Pobyty(Collection<Turnus> turnusy) {
        this.turnusy = turnusy;
    }

    @Override
    public void printElement(PrintWriter writer, int odsazeni) {
        tiskniOdsazeniLn(writer, odsazeni, startTag());
        for (Turnus turnus : turnusy) {
            turnus.printElement(writer, odsazeni + ODSAZENI);
        }
        writer.println(endTag());
    }

    @Override
    public PobytyElement classTag() {
        return PobytyElement.pobyty;
    }
}
